package cz.moneta.test.dsl.ib.cards;

import cz.moneta.test.dsl.ib.cards.application.ApplicationsOverviewPage;
import cz.moneta.test.harness.support.web.Builder;
import cz.moneta.test.harness.support.web.Click;

public interface CardsVerticalMenu extends Builder {

    String CARDS_OVERVIEW_ANCHOR = "//a[contains(text(), 'Přehled karet')]";
    String APPLICATIONS_OVERVIEW_ANCHOR = "//a[contains(text(), 'Přehled žádostí')]";
    String ADDITIONAL_SERVICES = "//a[text()='Doplňkové služby']";

    @Click(CARDS_OVERVIEW_ANCHOR)
    CardsOverviewPage openCardsOverviewPage();

    @Click(APPLICATIONS_OVERVIEW_ANCHOR)
    ApplicationsOverviewPage openApplicationsOverviewOverviewPage();

    @Click(ADDITIONAL_SERVICES)
    AdditionalServicesPage clickToAdditionalServices();
}